artdaq - Idea #20442

Evaluate the shared memory interplay between "broadcast,” "reliable,” "overwrite” and "drop"
design/functionality (and corresponding fcl config)

07/25/2018 02:07 PM - Ron Rechenmacher

Status: New Start date: 07/25/2018

Priority: Normal Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Experiment: -

Description

It seems the subrun message is currently broadcast - unreliable - overwrite and it clobbers a previous reliable data fragment.

Related issues:

Related to artdaq - Bug #20403: SBND - SHM - artdaq::SharedMemoryManager::Get... Closed 07/23/2018
Related to artdaq - Bug #20373: SBND VST - subrun change from fragment genera... New 07/19/2018
History

#1 - 07/25/2018 02:08 PM - Ron Rechenmacher

- Tracker changed from Bug to Idea

#2 - 07/25/2018 02:09 PM - Ron Rechenmacher
- Related to Bug #20403: SBND - SHM - artdaq::SharedMemoryManager::GetBufferForReading() skipping/dropping buffers/fragments/events added

#3 - 07/25/2018 02:11 PM - Ron Rechenmacher
- Related to Bug #20373: SBND VST - subrun change from fragment generator not working added

#4 - 09/19/2018 01:12 PM - Eric Flumerfelt

The fix for this was to change broadcasts to use the reliable channel. This change was on artdaqg's develop branch.
